Hooks:PostHook( WeaponFactoryTweakData, "init", "hoxy_scopemount_init", function(self)
--[[
	self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_pis_hoxy = {translation = Vector3(0.05, -1, -5.45)}
	self.parts.wpn_fps_upg_o_aimpoint.stance_mod.wpn_fps_pis_hoxy = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_pis_hoxy)
	self.parts.wpn_fps_upg_o_aimpoint_2.stance_mod.wpn_fps_pis_hoxy = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_pis_hoxy)
	self.parts.wpn_fps_upg_o_docter.stance_mod.wpn_fps_pis_hoxy = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_pis_hoxy)
	self.parts.wpn_fps_upg_o_eotech.stance_mod.wpn_fps_pis_hoxy = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_pis_hoxy)
	self.parts.wpn_fps_upg_o_t1micro.stance_mod.wpn_fps_pis_hoxy = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_pis_hoxy)
	self.parts.wpn_fps_upg_o_cmore.stance_mod.wpn_fps_pis_hoxy = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_pis_hoxy)
	self.parts.wpn_fps_upg_o_cs.stance_mod.wpn_fps_pis_hoxy = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_pis_hoxy)
	self.parts.wpn_fps_upg_o_eotech_xps.stance_mod.wpn_fps_pis_hoxy = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_pis_hoxy)
	self.parts.wpn_fps_upg_o_reflex.stance_mod.wpn_fps_pis_hoxy = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_pis_hoxy)
	self.parts.wpn_fps_upg_o_rx01.stance_mod.wpn_fps_pis_hoxy = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_pis_hoxy)
	self.parts.wpn_fps_upg_o_rx30.stance_mod.wpn_fps_pis_hoxy = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_pis_hoxy)
	self.parts.wpn_fps_upg_o_spot.stance_mod.wpn_fps_pis_hoxy = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_pis_hoxy)
	self.parts.wpn_fps_upg_o_rmr.stance_mod.wpn_fps_pis_hoxy = deep_clone(self.parts.wpn_fps_upg_o_rmr.stance_mod.wpn_fps_pis_packrat)
]]
local custom_weapon_id = "wpn_fps_pis_hoxy"
	local stance_base_id = "wpn_fps_pis_deagle"
	local uses_sights = {"wpn_fps_upg_o_specter", "wpn_fps_upg_o_aimpoint", "wpn_fps_upg_o_docter", "wpn_fps_upg_o_eotech", "wpn_fps_upg_o_t1micro", "wpn_fps_upg_o_cmore", "wpn_fps_upg_o_aimpoint_2", "wpn_fps_upg_o_acog", "wpn_fps_upg_o_eotech_xps", "wpn_fps_upg_o_reflex", "wpn_fps_upg_o_rx01", "wpn_fps_upg_o_rx30", "wpn_fps_upg_o_cs", "wpn_fps_upg_o_spot", "wpn_fps_upg_o_bmg", "wpn_fps_upg_o_uh", "wpn_fps_upg_o_fc1"}
	for _, sight_id in pairs(uses_sights) do
		if self.parts[sight_id].stance_mod[stance_base_id] then
			self.parts[sight_id].stance_mod[custom_weapon_id] = deep_clone(self.parts[sight_id].stance_mod[stance_base_id])
		else
			log("[Five-seveN MK2][ERROR] self.parts." .. sight_id .. ".stance_mod." .. stance_base_id .. " doesn't exist, stop trying to clone it you moron!")
		end
	end
	self.parts.wpn_fps_upg_o_rmr.stance_mod.wpn_fps_pis_hoxy = {translation = Vector3(0.05, -1, 0), rotation = Rotation(0, -0.5, 0)}

	for _, part_id in pairs(self.wpn_fps_pis_hoxy.uses_parts) do
		if part_id == "wpn_fps_pis_hoxy_o_rear" or part_id == "wpn_fps_upg_o_rmr" then
		-- nothing
		else
			if self.parts[part_id].type == "sight" then
				table.insert(self.parts.wpn_fps_pis_hoxy_sightforbid_dummy.forbids, part_id)
			elseif self.parts[part_id].type == "gadget" then
				self.parts.wpn_fps_upg_hoxy_o_scopemount.override[part_id] = {a_obj = "a_fl_rail"}
			elseif self.parts[part_id].type == "barrel_ext" then
				self.parts.wpn_fps_upg_hoxy_b_threaded.override[part_id] = {a_obj = "a_ns_threaded"}
			else
				-- literally nothing
			end
		end
	end
	
	self.parts.wpn_fps_upg_hoxy_o_scopemount.override.wpn_fps_pis_hoxy_sightforbid_dummy = {
		forbids = {}
	}
	
	-- code hijinks
	if BeardLib.Utils:FindMod("WeaponLib") then
		self.parts.wpn_fps_upg_hoxy_am_plusp.custom_stats = {
			rays = 1,
			armor_piercing_add = 1,
			can_shoot_through_enemy = true,
			can_shoot_through_shield = false, 
			can_shoot_through_wall = false
		}
		self.parts.wpn_fps_upg_hoxy_am_plusp.override_weapon = {
			AMMO_PICKUP={0.90, 3.15},
		}
	else
		self.parts.wpn_fps_upg_hoxy_am_plusp.custom_stats = {
			rays = 1,
			armor_piercing_add = 1,
			can_shoot_through_enemy = true,
			can_shoot_through_shield = false, 
			can_shoot_through_wall = false,
			ammo_pickup_min_mul = 0.6,
			ammo_pickup_max_mul = 0.55
		}
	end
	
	self.wpn_fps_pis_hoxy.override = {
		wpn_fps_upg_o_rmr = {
		--	a_obj = "a_fuckoff",
			parent = "slide",
			adds = {}
		},
		wpn_fps_upg_pis_ns_flash = {
			a_obj = "a_ns",
			parent = "barrel"
		},
		wpn_fps_upg_ns_pis_medium_slim = {
			a_obj = "a_ns",
			parent = "barrel"
		},
		wpn_fps_upg_ns_ass_filter = {
			a_obj = "a_ns",
			parent = "barrel"
		},
		wpn_fps_upg_ns_pis_jungle = {
			a_obj = "a_ns",
			parent = "barrel"
		},
		wpn_fps_upg_ns_pis_large = {
			a_obj = "a_ns",
			parent = "barrel"
		},
		wpn_fps_upg_ns_pis_medium = {
			a_obj = "a_ns",
			parent = "barrel"
		},
		wpn_fps_upg_ns_pis_small = {
			a_obj = "a_ns",
			parent = "barrel"
		},
		wpn_fps_upg_ns_pis_large_kac = {
			a_obj = "a_ns",
			parent = "barrel"
		},
		wpn_fps_upg_ns_pis_medium_gem = {
			a_obj = "a_ns",
			parent = "barrel"
		},
		wpn_fps_upg_ns_pis_ipsccomp = {
			a_obj = "a_ns",
			parent = "barrel"
		},
		wpn_fps_upg_ns_pis_meatgrinder = {
			a_obj = "a_ns",
			parent = "barrel"
		},
		wpn_fps_upg_hoxy_ns_gemtech = {
			a_obj = "a_ns_gemtech",
			parent = "barrel"
		}
		}
end)