Hooks:PostHook( WeaponFactoryTweakData, "init", "mk17_init_awesomestyle", function(self)

	local custom_weapon_id = "wpn_fps_ass_mk17"
	local stance_base_id = "wpn_fps_ass_scar"
	local uses_sights = {"wpn_fps_upg_o_specter","wpn_fps_upg_o_aimpoint","wpn_fps_upg_o_docter","wpn_fps_upg_o_eotech","wpn_fps_upg_o_t1micro","wpn_fps_upg_o_cmore","wpn_fps_upg_o_aimpoint_2","wpn_fps_upg_o_acog","wpn_fps_upg_o_eotech_xps","wpn_fps_upg_o_reflex","wpn_fps_upg_o_rx01","wpn_fps_upg_o_rx30","wpn_fps_upg_o_cs", "wpn_fps_upg_o_spot","wpn_fps_upg_o_xpsg33_magnifier", "wpn_fps_upg_o_sig","wpn_fps_upg_o_bmg","wpn_fps_upg_o_uh","wpn_fps_upg_o_fc1"}
	for _, sight_id in pairs(uses_sights) do
		if self.parts[sight_id].stance_mod[stance_base_id] then
			self.parts[sight_id].stance_mod[custom_weapon_id] = deep_clone(self.parts[sight_id].stance_mod[stance_base_id])
		else
			log("[ERROR] " .. custom_weapon_id .. " Missing stance_mod data for: " .. sight_id, stance_base_id)
		end
end
	--[[
	self.parts.wpn_fps_upg_o_45rds.stance_mod.wpn_fps_smg_m4cqb = {translation = Vector3(-2.62, 0, -12.7),rotation = Rotation(0, 0, -45)}
	self.parts.wpn_fps_upg_o_45rds_v2.stance_mod.wpn_fps_smg_m4cqb = deep_clone(self.parts.wpn_fps_upg_o_45rds.stance_mod.wpn_fps_smg_m4cqb)
	self.parts.wpn_fps_upg_o_45steel.stance_mod.wpn_fps_smg_m4cqb = deep_clone(self.parts.wpn_fps_upg_o_45rds.stance_mod.wpn_fps_smg_m4cqb)
	]]
	
	-- stupid dumbass override stuff because i am bad and should feel bad and that is what i get for not being friendly to my future self
	
	if BeardLib.Utils:FindMod("WeaponLib") then
		self.parts.wpn_fps_upg_mk17_bolt_old.custom_stats = {
			rays = 1,
			armor_piercing_add = 0,
			can_shoot_through_enemy = false,
			can_shoot_through_shield = false, 
			can_shoot_through_wall = false
		}
		self.parts.wpn_fps_upg_mk17_rec_upper_mk20.custom_stats = {
			rays = 1,
			armor_piercing_add = 1,
			can_shoot_through_enemy = true,
			can_shoot_through_shield = true, 
			can_shoot_through_wall = true
		}
		self.parts.wpn_fps_upg_mk17_bolt_old.override_weapon = {
			AMMO_PICKUP={1.00, 3.50}
		}
		self.parts.wpn_fps_upg_mk17_rec_upper_mk20.override_weapon = {
			AMMO_PICKUP={1.5, 2.5},
			categories = { "snp" }
		}
	else
		self.parts.wpn_fps_upg_mk17_bolt_old.custom_stats = {
			rays = 1,
			armor_piercing_add = 0,
			can_shoot_through_enemy = false,
			can_shoot_through_shield = false, 
			can_shoot_through_wall = false,
			ammo_pickup_min_mul = 0.75,
			ammo_pickup_max_mul = 0.75
		}
		self.parts.wpn_fps_upg_mk17_rec_upper_mk20.custom_stats = {
			rays = 1,
			armor_piercing_add = 1,
			can_shoot_through_enemy = true,
			can_shoot_through_shield = true, 
			can_shoot_through_wall = true,
			ammo_pickup_min_mul = 0.55,
			ammo_pickup_max_mul = 0.55
		}
	end
	
	self.parts.wpn_fps_upg_mk17_rec_upper_mk20.override.wpn_fps_ass_mk17_b_standard = {
		unit = "units/mods/weapons/wpn_fps_ass_mk17_pts/wpn_fps_upg_mk17_b_long",
		override = {
			wpn_fps_ass_mk17_b_dummy = {a_obj = "a_b_long"}
		}
	}
	self.parts.wpn_fps_upg_mk17_rec_upper_mk20.override.wpn_fps_upg_mk17_b_long = {
		unit = "units/mods/weapons/wpn_fps_ass_mk17_pts/wpn_fps_upg_mk17_b_long_mk20",
		override = {
			wpn_fps_ass_mk17_b_dummy = {a_obj = "a_b_verylong"}
		}
	}
	self.parts.wpn_fps_upg_mk17_rec_upper_mk20.override.wpn_fps_ass_mk17_o_front = {
		unit = "units/payday2/weapons/wpn_upg_dummy/wpn_upg_dummy"
	}
end)